<!--notypo-->
<?php
  // user is not logged in or logged in -- nomatter
  
  // is user trying to log in or register?
  if ($_REQUEST["action"] == "login")
  {
    // if user name already exists, check password
    if ($existingUser = $this->LoadUser($_POST["name"]))
    {
      $error = $this->GetResourceValue("RegistrationNameOwned");
    }
    // otherwise, create new account
    else
    {
      $name = trim($_POST["name"]);
      $email = trim($_POST["email"]);
      $password = $_POST["password"];
      $confpassword = $_POST["confpassword"];

      // check if name is WikkiName style
      if (!$this->IsWikiName($name)) $error = $this->GetResourceValue("MustBeWikiName");
      else if (!$email) $error = $this->GetResourceValue("SpecifyEmail");
      else if (!preg_match("/^.+?\@.+?\..+$/", $email)) $error = $this->GetResourceValue("NotAEmail");
      else if ($confpassword != $password) $error = $this->GetResourceValue("PasswordsDidntMatch");
      else if (preg_match("/ /", $password)) $error = $this->GetResourceValue("SpacesArentAllowed");
      else if (strlen($password) < 5) $error = $this->GetResourceValue("PasswordTooShort");
      else
      {
        $this->Query("insert into ".$this->config["table_prefix"]."users set ".
          "signuptime = now(), ".
          "name = '".quote($name)."', ".
          "email = '".quote($email)."', ".
          "bookmarks = '".quote($this->config["default_bookmarks"])."', ".
          "typografica = '".(($this->config["default_typografica"]==1)?"Y":"N")."', ".
          "showdatetime = '".(($this->config["default_showdatetime"]==1)?"Y":"N")."', ".
          "password = md5('".quote($_POST["password"])."')");

        // log in
        $this->SetUser($this->LoadUser($name));

        // forward
        $this->context[++$this->current_context] = "";
        $this->Redirect($this->Href("",$name));
      }
    }
  }
  print($this->FormOpen());
  ?>
  <input type="hidden" name="action" value="login">
  <table border="0" align="center">
    <tr>
      <td colspan="2" align="center"><strong><?php echo $this->Format($this->GetResourceValue("RegistrationWelcome")); ?></strong><br /><br /></td>
    </tr>
    <?php
    if ($error)
    {
      print("<tr><td colspan=\"2\" align=\"center\"><div class=\"error\">".$this->Format($error)."</div></td></tr>\n");
    }
    ?>
    <tr>
      <td align="right"><?php echo $this->Format($this->GetResourceValue("RegistrationName"));?>:</td>
      <td><input name="name" size="27" value="<?php echo $name ?>" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("RegistrationPassword");?>:</td>
      <td><input type="password" name="password" size="24" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("ConfirmPassword");?>:</td>
      <td><input type="password" name="confpassword" size="24" /></td>
    </tr>
    <tr>
      <td align="right"><?php echo $this->GetResourceValue("Email");?>:</td>
      <td><input name="email" size="30" value="<?php echo $email ?>" /></td>
    </tr>
    <tr>
      <td></td>
      <td>
          <input class="OkBtn" onmouseover='this.className="OkBtn_";' 
                                 onmouseout ='this.className="OkBtn";' 
                 type="submit" align="top" value="<?php echo $this->GetResourceValue("RegistrationButton"); ?>" /></td>
    </tr>
  </table>
  <?php
  print($this->FormClose());
?>
<!--/notypo-->
